
CephFS - Bug #4398

fix kclient_workunit_misc.yaml in the nightlies

03/08/2013 05:16 PM - Tamilarasi muthamizhan

Status: Duplicate % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Source: Q/A ceph-qa-suite:  

Tags:  Component(FS):  

Backport:  Labels (FS):  

Regression: No Pull request ID:  

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Affected Versions:    

Description

log: ubuntu@teuthology:/a/teuthology-2013-03-06_01:00:04-regression-master-testing-gcov/16995

ubuntu@teuthology:/a/teuthology-2013-03-06_01:00:04-regression-master-testing-gcov/16995$ cat conf

ig.yaml 

kernel: &id001

  kdb: true

  sha1: d11db70976a80343930d0889d0042bb9956503bf

nuke-on-error: true

overrides:

  ceph:

    conf:

      osd:

        osd op thread timeout: 60

    coverage: true

    fs: btrfs

    log-whitelist:

    - slow request

    sha1: af6b6eddae073315c70bba4712511125360a0aad

  s3tests:

    branch: master

  workunit:

    sha1: af6b6eddae073315c70bba4712511125360a0aad

roles:

- - mon.a

  - mon.c

  - osd.0

  - osd.1

  - osd.2

- - mon.b

  - mds.a

  - osd.3

  - osd.4

  - osd.5

- - client.0

targets:

  ubuntu@plana53.front.sepia.ceph.com: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDdjt8dPjD+Lr97Foysb4J

mo6oIsDQ3fv3hN/yANCR0LU880lzTZ3P2xdmuxGxEON6uvzRANzDurVKeKdl9lWbURIrymziawhv7sa5zP3S216SOSxkVqbVPr

+iE45PjpyFM0snmsUjIcgGF6QhZ0FPssjENMFbwcO0zwcnOGCdn9gauB/7DyOC7bBIcUE9wBIEyXzNeHZn/C2vEfaWqS3t3TY7

j0dFJgSqicJdcwuM5uRwG9DsLDgdyP4s1Aahi3NI/vpZzIq4VQEYY95QlV+vid5dsEaDOzMU+GODwUrhBFvULgRoVJzrKlWxkp

JgPmsMoqIpk4Lsh/ODBo3eepmy1

  ubuntu@plana64.front.sepia.ceph.com: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDdNw2eY5E3Kd6kP93oFUL
nA0AfJ0K3+mK2QPC4LdjW+eufe6OAWIenUadtH2RQQWdYQCegGc6tU8EmM8LaK0hxL31dvDi3mm22piXS+n6Gp8Zb/54vVKI1H

m0q0K+ry7mC1oBvBzZ01oD659UL2Msb5aHGFYtC41xXO8x98lRNzqmGuoOVQstRk7Xnxnc+lQ40vsExJqtsogUkRzV7wQAhXlR

E3WcaLKOJu+lPabPzTKs8qVJR3/T4GdTzMgLvmwgNrfzH5t+JNp2tqHt94zR8wqdt6IH93Sr/lNxa1W19RtoETR2z4uPz1udyJ

JS4YM1sYzwkXn1vT2OLCL3mq7w9

  ubuntu@plana96.front.sepia.ceph.com: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDlMEGw11uIwYg3OzaTCjR

ghuKXVpHCrLLe9D4I5Vtdaro2teLhd+gOc0FdjZtm9BPeVR2mEApev+A4XWmZYEyRR6lSDboVbwq3g9A8LjFXWtkYsg1rttj6S

kqtKkjV8oI3VV4/QcG9lmbIy+ljRAkpnmnu5k78IEVjsWYwJ4oo0dXo3EgNAIkj2Vy7PLAuclOOGiF0t7z0uFtSrDbuRXvupRu

6g8w/rmWCaHyrmGNpia7pSGO56tmq8o9HF+o1TIItQfvsTCPcksIHZoKSMxrFMTBh90kyaeEJBLj9D2TVN2xTiSJuSqeaMt8L6

V8DOEiy78FhSzLBDR9KeBz7p5Y3

tasks:

- internal.lock_machines:

  - 3

  - plana

- internal.save_config: null

- internal.check_lock: null

- internal.connect: null

- internal.check_conflict: null

- kernel: *id001

- internal.base: null

- internal.archive: null

- internal.coredump: null

- internal.syslog: null

- internal.timer: null

- chef: null

- clock: null

- install: null

- ceph:

    conf:

      mds:

        debug mds: 20

        debug ms: 1

- kclient: null

- workunit:

    clients:

      all:

      - misc

It is failing with the following error,

2013-03-06T06:35:53.536 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.ar.Arxn65" failed: No such file or directory (2)

2013-03-06T06:35:53.536 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.arch.Uz649r" failed: No such file or directory (2)

2013-03-06T06:35:53.536 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.as.UHWPdO" failed: No such file or directory (2)

2013-03-06T06:35:53.536 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.at.eSImia" failed: No such file or directory (2)

2013-03-06T06:35:53.537 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.attr.2F6Ymw" failed: No such file or directory (2)

2013-03-06T06:35:53.537 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.autoconf.EorCrS" failed: No such file or directory (2)

2013-03-06T06:35:53.537 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.autoheader.UTUgwe" failed: No such file or directory (2)

2013-03-06T06:35:53.537 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.autom4te.iioWAA" failed: No such file or directory (2)

2013-03-06T06:35:53.537 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.automake-1.11.QTvGFW" failed: No such file or directory (2)

2013-03-06T06:35:53.537 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.autoreconf.283UKi" failed: No such file or directory (2)

2013-03-06T06:35:53.537 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.autoscan.QztbQE" failed: No such file or directory (2)

2013-03-06T06:35:53.538 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.autoupdate.gHCtV0" failed: No such file or directory (2)

2013-03-06T06:35:53.538 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.axi-cache.y5IP0m" failed: No such file or directory (2)

2013-03-06T06:35:53.538 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.base64.eJTg6I" failed: No such file or directory (2)
2013-03-06T06:35:53.538 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.basename.g7bLb5" failed: No such file or directory (2)

2013-03-06T06:35:53.538 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.bashbug.eHdihr" failed: No such file or directory (2)

2013-03-06T06:35:53.538 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.batch.WidQmN" failed: No such file or directory (2)

2013-03-06T06:35:53.538 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.bc.Mjnos9" failed: No such file or directory (2)

2013-03-06T06:35:53.539 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.blkiomon.mzC5xv" failed: No such file or directory (2)

2013-03-06T06:35:53.539 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.blkparse.meYODR" failed: No such file or directory (2)

2013-03-06T06:35:53.539 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.blkrawverify.iSLDJd" failed: No such file or directory (2)

2013-03-06T06:35:53.539 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.bno_plot.szRtPz" failed: No such file or directory (2)

2013-03-06T06:35:53.539 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.bon_csv2html.qXwkVV" failed: No such file or directory (2)

2013-03-06T06:35:53.539 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.bon_csv2txt.0UBc1h" failed: No such file or directory (2)

2013-03-06T06:35:53.539 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.bsd-from.C5g56D" failed: No such file or directory (2)

2013-03-06T06:35:53.540 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.bsd-write.qpPYc0" failed: No such file or directory (2)

2013-03-06T06:35:53.540 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.btt.SoLTim" failed: No such file or directory (2)

2013-03-06T06:35:53.540 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.c++filt.m90WoI" failed: No such file or directory (2)

2013-03-06T06:35:53.540 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.c2ph.eSx2u4" failed: No such file or directory (2)

2013-03-06T06:35:53.540 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.c89-gcc.aeDcBq" failed: No such file or directory (2)

2013-03-06T06:35:53.540 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.c99-gcc.4ybnHM" failed: No such file or directory (2)

2013-03-06T06:35:53.540 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.c_rehash.YJ8xN8" failed: No such file or directory (2)

2013-03-06T06:35:53.541 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.calendar.6DCJTu" failed: No such file or directory (2)

2013-03-06T06:35:53.541 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.callgrind_annotate.cHlYZQ" failed: No such file or directory 

(2)

2013-03-06T06:35:53.541 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.callgrind_control.q0Ah6c" failed: No such file or directory (

2)

2013-03-06T06:35:53.541 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.catchsegv.WUWBcz" failed: No such file or directory (2)

2013-03-06T06:35:53.541 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.catman.GLHWiV" failed: No such file or directory (2)

2013-03-06T06:35:53.541 INFO:teuthology.task.workunit.client.0.err:rsync: mkstemp "/home/ubuntu/ce

phtest/mnt.0/client.0/tmp/usr.1/bin/.cautious-launcher.Ekdlph" failed: No such file or directory (

2)

Related issues:

Duplicates CephFS - Bug #4358: kclient: ENOENT during kernel build on kclient Resolved 03/06/2013

History

#1 - 03/08/2013 05:19 PM - Tamilarasi muthamizhan

- Project changed from rgw to CephFS

- Subject changed from fix kclient_workunit_suites_misc.yaml in the nightlies to fix kclient_workunit_misc.yaml in the nightlies

#2 - 03/08/2013 05:27 PM - Tamilarasi muthamizhan

looks like the test failed due to,
2013-03-06T06:38:55.270 INFO:teuthology.task.workunit.client.0.out:

2013-03-06T06:38:55.270 INFO:teuthology.task.workunit.client.0.out:sent 28327404 bytes  received 40804 bytes  348076.17 bytes/sec

2013-03-06T06:38:55.271 INFO:teuthology.task.workunit.client.0.out:total size is 2328819020  speedup is 82.09

2013-03-06T06:38:55.271 INFO:teuthology.task.workunit.client.0.err:rsync error: some files/attrs were not transferred (see previous errors) (code 23)

at main.c(1070) [sender=3.0.9]

2013-03-06T06:38:55.272 INFO:teuthology.task.workunit.client.0.err:+ wc l a

2013-03-06T06:38:55.272 INFO:teuthology.task.workunit.client.0.err:+ grep 4

2013-03-06T06:38:55.273 INFO:teuthology.task.workunit:Stopping misc on client.0...

2013-03-06T06:38:55.273 DEBUG:teuthology.orchestra.run:Running [10.214.132.14]: 'rm -rf - /home/ubuntu/cephtest/workunits.list

/home/ubuntu/cephtest/workunit.client.0'

2013-03-06T06:38:55.285 ERROR:teuthology.run_tasks:Saw exception from tasks

Traceback (most recent call last):

File "/var/lib/teuthworker/teuthology-master/teuthology/run_tasks.py", line 25, in run_tasks

manager = _run_one_task(taskname, ctx=ctx, config=config)

File "/var/lib/teuthworker/teuthology-master/teuthology/run_tasks.py", line 14, in _run_one_task

return fn(**kwargs)

File "/var/lib/teuthworker/teuthology-master/teuthology/task/workunit.py", line 94, in task

_spawn_on_all_clients(ctx, refspec, all_tasks, config.get('env'), config.get('subdir'))

File "/var/lib/teuthworker/teuthology-master/teuthology/task/workunit.py", line 213, in _spawn_on_all_clients

p.spawn(_run_tests, ctx, refspec, role, [unit], env, subdir)

File "/var/lib/teuthworker/teuthology-master/teuthology/parallel.py", line 83, in exit

for result in self:

File "/var/lib/teuthworker/teuthology-master/teuthology/parallel.py", line 100, in next

resurrect_traceback(result)

File "/var/lib/teuthworker/teuthology-master/teuthology/parallel.py", line 19, in capture_traceback

return func(*args, **kwargs)

File "/var/lib/teuthworker/teuthology-master/teuthology/task/workunit.py", line 297, in _run_tests

args=args,

File "/var/lib/teuthworker/teuthology-master/teuthology/orchestra/remote.py", line 42, in run

r = self._runner(client=self.ssh, **kwargs)

File "/var/lib/teuthworker/teuthology-master/teuthology/orchestra/run.py", line 261, in run

r.exitstatus = _check_status(r.exitstatus)

File "/var/lib/teuthworker/teuthology-master/teuthology/orchestra/run.py", line 257, in _check_status

raise CommandFailedError(command=r.command, exitstatus=status, node=host)

CommandFailedError: Command failed on 10.214.132.14 with status 1: 'mkdir p - /home/ubuntu/cephtest/mnt.0/client.0/tmp && cd --

/home/ubuntu/cephtest/mnt.0/client.0/tmp && CEPH_REF=master TESTDIR="/home/ubuntu/cephtest" CEPH_ID="0"

PYTHONPATH="$PYTHONPATH:/home/ubuntu/cephtest/binary/usr/local/lib/python2.7/dist-packages:/home/ubuntu/cephtest/binary/usr/local/lib/pyth

on2.6/dist-packages" /home/ubuntu/cephtest/enable-coredump ceph-coverage /home/ubuntu/cephtest/archive/coverage

/home/ubuntu/cephtest/workunit.client.0/misc/multiple_rsync.sh'

2013-03-06T06:38:55.287 DEBUG:teuthology.run_tasks:Unwinding manager <contextlib.GeneratorContextManager object at 0x3509f10>
#3 - 03/11/2013 09:38 AM - Ian Colle

- Status changed from New to Duplicate

#4 - 03/11/2013 05:55 PM - Tamilarasi muthamizhan

ubuntu@teuthology:/a/teuthology-2013-03-11_01:00:04-regression-master-testing-gcov/21326

Powered by TCPDF (www.tcpdf.org)

04/03/2024 5/5

http://www.tcpdf.org

